Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`protocols`.`haproxy`.`_exceptions``

module documentation
(source)

HAProxy specific exceptions.

Exception | `InvalidNetworkProtocol` | The network protocol was not one of TCP4 TCP6 or UNKNOWN.
Exception | `InvalidProxyHeader` | The provided PROXY protocol header is invalid.
Exception | `MissingAddressData` | The address data is missing or incomplete.
Function | `convertError` | Convert an error into a different error type.

@contextlib.contextmanager
def convertError(sourceType: `Type[BaseException]`, targetType: `Callable[[], BaseException]`) -> `Generator[None, None, None]`: (source)

Convert an error into a different error type.

Parameters
sourceType:`BaseException` | The type of exception that should be caught and converted.
targetType:`BaseException` | The type of exception to which the original should be converted.
Returns
`Generator[None, None, None]` | Undocumented